Summary:        A library for changing configuration files
Name:           augeas
Version:        1.14.1
Release:        1%{?dist}
License:        LGPLv2+
URL:            http://augeas.net/
Source0:        https://github.com/hercules-team/augeas/releases/download/release-%{version}/%{name}-%{version}.tar.gz 
BuildRequires:  make gcc
BuildRequires:  readline-devel libselinux-devel libxml2-devel
Requires:       %{name}-libs = %{version}-%{release}
Provides:       bundled(gnulib)

%description
Augeas is a configuration editing tool. It parses configuration files
in their native formats and transforms them into a tree.
Configuration changes are made by manipulating this tree and saving it
back into native config files.

%package        libs
Summary:        Libraries for %{name}

%description    libs
The libraries for %{name}.

This package provides a library for programmatically editing
configuration files. It parses configuration files into a tree structure,
which it exposes through its public API. Changes made through the API
are written back to the initially read files.

%package        static
Summary:        Static libraries for %{name}
Requires:       %{name}-devel = %{version}-%{release}

%description    static
This package provides static libraries needed to produce static builds using %{name}

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs = %{version}-%{release}
Requires:       pkgconfig

%description    devel
This package provides libraries and header files for developing applications

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure                 \
%ifarch riscv64
    --disable-gnulib-tests \
%endif
    --enable-static
%make_build

%install
rm -rf %{buildroot}
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

rm -r %{buildroot}%{_datadir}/augeas/lenses/dist/tests
rm -f %{buildroot}/usr/bin/dump

%check
# Disable test-preserve.sh SELinux testing. because of fails
# when run under mock due to differing SELinux labelling.
export SKIP_TEST_PRESERVE_SELINUX=1

%make_build check || {
  echo '===== tests/test-suite.log ====='
  cat tests/test-suite.log
  exit 1
}

%files
%{_bindir}/augmatch
%{_bindir}/augparse
%{_bindir}/augtool
%{_bindir}/fadot
%{_bindir}/augprint
%doc %{_mandir}/man1/*
%{_datadir}/vim/vimfiles/syntax/augeas.vim
%{_datadir}/vim/vimfiles/ftdetect/augeas.vim
%{_datadir}/bash-completion/completions/augmatch
%{_datadir}/bash-completion/completions/augprint
%{_datadir}/bash-completion/completions/augtool

%files libs
%doc AUTHORS COPYING NEWS
%{_datadir}/augeas/lenses/dist
%{_libdir}/*.so.*

%files static
%{_libdir}/libaugeas.a
%{_libdir}/libfa.a

%files devel
%doc
%{_libdir}/pkgconfig/augeas.pc
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 1.14.1-1
- Upgrade to version 1.14.1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Sep 9 2022 Shuo Wang <abushwang@tencent.com> - 1.13.0-1
- initial build
